function dRdt = Homework_Model_Sample(t,y, problemParameters)


    %where we store the solution
    dRdt=zeros(length(y),1);

    %extract the different populations
    S_m=y(1);
    I_m=y(2);
    S_w=y(3);
    I_w=y(4);
    S_h=y(5);
    I_h=y(6);
    
    %total population; not necessary, computed for convenience
    N_m=S_m+I_m;
    N_w=S_w+I_w;
    N_h=S_h+I_h;
        
	%get problem parameters

    %mortality rates (base)
    mu_m=problemParameters.mu_m;
    mu_w=problemParameters.mu_w;
    mu_h=problemParameters.mu_h;

    %infected mortality multiplier
    gamma=problemParameters.gamma;

    %recruitment rates
    Lambda_m=problemParameters.Lambda_m;
    Lambda_w=problemParameters.Lambda_w;
    Lambda_h=problemParameters.Lambda_h;

    %trans_mission probabilities
    beta_m_m = problemParameters.beta_m_m;
    beta_m_w = problemParameters.beta_m_w;
    beta_w_m = problemParameters.beta_w_m;
    
    %number of contacts
    a_m = problemParameters.a_m;
    a_w = problemParameters.a_w;
    a_h = problemParameters.a_h;

    %percentage contacts
    eta_m = problemParameters.eta_m;
    alpha_w = problemParameters.alpha_w;
    

    
    %model equations
    dRdt(1) = ...;
    dRdt(2) = ...;

    dRdt(3) = ...;
    dRdt(4) = ...;

    dRdt(5) = Lambda_h - a_h*beta_w_m*(I_w/N_w)*S_h - mu_h*S_h;
    dRdt(6) = a_h*beta_w_m*(I_w/N_w)*S_h - gamma*mu_h*I_h;

end